diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/includes/meta-boxes.php ./wordpress-3.4/wp-admin/includes/meta-boxes.php
*** ./wordpress-3.3.2/wp-admin/includes/meta-boxes.php	2011-09-29 16:21:15.000000000 -0500
--- ./wordpress-3.4/wp-admin/includes/meta-boxes.php	2012-05-25 08:45:16.000000000 -0500
***************
*** 27,40 ****
  
  <div id="minor-publishing-actions">
  <div id="save-action">
! <?php if ( 'publish' != $post->post_status && 'future' != $post->post_status && 'pending' != $post->post_status )  { ?>
  <input <?php if ( 'private' == $post->post_status ) { ?>style="display:none"<?php } ?> type="submit" name="save" id="save-post" value="<?php esc_attr_e('Save Draft'); ?>" tabindex="4" class="button button-highlighted" />
  <?php } elseif ( 'pending' == $post->post_status && $can_publish ) { ?>
  <input type="submit" name="save" id="save-post" value="<?php esc_attr_e('Save as Pending'); ?>" tabindex="4" class="button button-highlighted" />
  <?php } ?>
  <img src="<?php echo esc_url( admin_url( 'images/wpspin_light.gif' ) ); ?>" class="ajax-loading" id="draft-ajax-loading" alt="" />
  </div>
! 
  <div id="preview-action">
  <?php
  if ( 'publish' == $post->post_status ) {
--- 27,40 ----
  
  <div id="minor-publishing-actions">
  <div id="save-action">
! <?php if ( 'publish' != $post->post_status && 'future' != $post->post_status && 'pending' != $post->post_status ) { ?>
  <input <?php if ( 'private' == $post->post_status ) { ?>style="display:none"<?php } ?> type="submit" name="save" id="save-post" value="<?php esc_attr_e('Save Draft'); ?>" tabindex="4" class="button button-highlighted" />
  <?php } elseif ( 'pending' == $post->post_status && $can_publish ) { ?>
  <input type="submit" name="save" id="save-post" value="<?php esc_attr_e('Save as Pending'); ?>" tabindex="4" class="button button-highlighted" />
  <?php } ?>
  <img src="<?php echo esc_url( admin_url( 'images/wpspin_light.gif' ) ); ?>" class="ajax-loading" id="draft-ajax-loading" alt="" />
  </div>
! <?php if ( $post_type_object->public ) : ?>
  <div id="preview-action">
  <?php
  if ( 'publish' == $post->post_status ) {
***************
*** 51,63 ****
  <a class="preview button" href="<?php echo $preview_link; ?>" target="wp-preview" id="post-preview" tabindex="4"><?php echo $preview_button; ?></a>
  <input type="hidden" name="wp-preview" id="wp-preview" value="" />
  </div>
! 
  <div class="clear"></div>
  </div><?php // /minor-publishing-actions ?>
  
  <div id="misc-publishing-actions">
  
! <div class="misc-pub-section<?php if ( !$can_publish ) { echo ' misc-pub-section-last'; } ?>"><label for="post_status"><?php _e('Status:') ?></label>
  <span id="post-status-display">
  <?php
  switch ( $post->post_status ) {
--- 51,63 ----
  <a class="preview button" href="<?php echo $preview_link; ?>" target="wp-preview" id="post-preview" tabindex="4"><?php echo $preview_button; ?></a>
  <input type="hidden" name="wp-preview" id="wp-preview" value="" />
  </div>
! <?php endif; // public post type ?>
  <div class="clear"></div>
  </div><?php // /minor-publishing-actions ?>
  
  <div id="misc-publishing-actions">
  
! <div class="misc-pub-section"><label for="post_status"><?php _e('Status:') ?></label>
  <span id="post-status-display">
  <?php
  switch ( $post->post_status ) {
***************
*** 107,113 ****
  <?php } ?>
  </div><?php // /misc-pub-section ?>
  
! <div class="misc-pub-section " id="visibility">
  <?php _e('Visibility:'); ?> <span id="post-visibility-display"><?php
  
  if ( 'private' == $post->post_status ) {
--- 107,113 ----
  <?php } ?>
  </div><?php // /misc-pub-section ?>
  
! <div class="misc-pub-section" id="visibility">
  <?php _e('Visibility:'); ?> <span id="post-visibility-display"><?php
  
  if ( 'private' == $post->post_status ) {
***************
*** 176,182 ****
  }
  
  if ( $can_publish ) : // Contributors don't get to choose the date of publish ?>
! <div class="misc-pub-section curtime misc-pub-section-last">
  	<span id="timestamp">
  	<?php printf($stamp, $date); ?></span>
  	<a href="#edit_timestamp" class="edit-timestamp hide-if-no-js" tabindex='4'><?php _e('Edit') ?></a>
--- 174,180 ----
  }
  
  if ( $can_publish ) : // Contributors don't get to choose the date of publish ?>
! <div class="misc-pub-section curtime">
  	<span id="timestamp">
  	<?php printf($stamp, $date); ?></span>
  	<a href="#edit_timestamp" class="edit-timestamp hide-if-no-js" tabindex='4'><?php _e('Edit') ?></a>
***************
*** 279,290 ****
  	$tax_name = esc_attr($taxonomy);
  	$taxonomy = get_taxonomy($taxonomy);
  	$disabled = !current_user_can($taxonomy->cap->assign_terms) ? 'disabled="disabled"' : '';
  ?>
  <div class="tagsdiv" id="<?php echo $tax_name; ?>">
  	<div class="jaxtag">
  	<div class="nojs-tags hide-if-js">
  	<p><?php echo $taxonomy->labels->add_or_remove_items; ?></p>
! 	<textarea name="<?php echo "tax_input[$tax_name]"; ?>" rows="3" cols="20" class="the-tags" id="tax-input-<?php echo $tax_name; ?>" <?php echo $disabled; ?>><?php echo get_terms_to_edit( $post->ID, $tax_name ); // textarea_escaped by esc_attr() ?></textarea></div>
   	<?php if ( current_user_can($taxonomy->cap->assign_terms) ) : ?>
  	<div class="ajaxtag hide-if-no-js">
  		<label class="screen-reader-text" for="new-tag-<?php echo $tax_name; ?>"><?php echo $box['title']; ?></label>
--- 276,288 ----
  	$tax_name = esc_attr($taxonomy);
  	$taxonomy = get_taxonomy($taxonomy);
  	$disabled = !current_user_can($taxonomy->cap->assign_terms) ? 'disabled="disabled"' : '';
+ 	$comma = _x( ',', 'tag delimiter' );
  ?>
  <div class="tagsdiv" id="<?php echo $tax_name; ?>">
  	<div class="jaxtag">
  	<div class="nojs-tags hide-if-js">
  	<p><?php echo $taxonomy->labels->add_or_remove_items; ?></p>
! 	<textarea name="<?php echo "tax_input[$tax_name]"; ?>" rows="3" cols="20" class="the-tags" id="tax-input-<?php echo $tax_name; ?>" <?php echo $disabled; ?>><?php echo str_replace( ',', $comma . ' ', get_terms_to_edit( $post->ID, $tax_name ) ); // textarea_escaped by esc_attr() ?></textarea></div>
   	<?php if ( current_user_can($taxonomy->cap->assign_terms) ) : ?>
  	<div class="ajaxtag hide-if-no-js">
  		<label class="screen-reader-text" for="new-tag-<?php echo $tax_name; ?>"><?php echo $box['title']; ?></label>
***************
*** 359,365 ****
  						<?php echo $tax->labels->parent_item_colon; ?>
  					</label>
  					<?php wp_dropdown_categories( array( 'taxonomy' => $taxonomy, 'hide_empty' => 0, 'name' => 'new'.$taxonomy.'_parent', 'orderby' => 'name', 'hierarchical' => 1, 'show_option_none' => '&mdash; ' . $tax->labels->parent_item . ' &mdash;', 'tab_index' => 3 ) ); ?>
! 					<input type="button" id="<?php echo $taxonomy; ?>-add-submit" class="add:<?php echo $taxonomy ?>checklist:<?php echo $taxonomy ?>-add button category-add-sumbit" value="<?php echo esc_attr( $tax->labels->add_new_item ); ?>" tabindex="3" />
  					<?php wp_nonce_field( 'add-'.$taxonomy, '_ajax_nonce-add-'.$taxonomy, false ); ?>
  					<span id="<?php echo $taxonomy; ?>-ajax-response"></span>
  				</p>
--- 356,362 ----
  						<?php echo $tax->labels->parent_item_colon; ?>
  					</label>
  					<?php wp_dropdown_categories( array( 'taxonomy' => $taxonomy, 'hide_empty' => 0, 'name' => 'new'.$taxonomy.'_parent', 'orderby' => 'name', 'hierarchical' => 1, 'show_option_none' => '&mdash; ' . $tax->labels->parent_item . ' &mdash;', 'tab_index' => 3 ) ); ?>
! 					<input type="button" id="<?php echo $taxonomy; ?>-add-submit" class="add:<?php echo $taxonomy ?>checklist:<?php echo $taxonomy ?>-add button category-add-submit" value="<?php echo esc_attr( $tax->labels->add_new_item ); ?>" tabindex="3" />
  					<?php wp_nonce_field( 'add-'.$taxonomy, '_ajax_nonce-add-'.$taxonomy, false ); ?>
  					<span id="<?php echo $taxonomy; ?>-ajax-response"></span>
  				</p>
***************
*** 478,502 ****
  function post_comment_meta_box($post) {
  	global $wpdb, $post_ID;
  
  	$total = $wpdb->get_var($wpdb->prepare("SELECT count(1) FROM $wpdb->comments WHERE comment_post_ID = '%d' AND ( comment_approved = '0' OR comment_approved = '1')", $post_ID));
  
  	if ( 1 > $total ) {
! 		echo '<p>' . __('No comments yet.') . '</p>';
! 		return;
  	}
  
! 	wp_nonce_field( 'get-comments', 'add_comment_nonce', false );
  
- 	$wp_list_table = _get_list_table('WP_Post_Comments_List_Table');
- 	$wp_list_table->display( true );
- ?>
- <p class="hide-if-no-js"><a href="#commentstatusdiv" id="show-comments" onclick="commentsBox.get(<?php echo $total; ?>);return false;"><?php _e('Show comments'); ?></a> <img class="waiting" style="display:none;" src="<?php echo esc_url( admin_url( 'images/wpspin_light.gif' ) ); ?>" alt="" /></p>
- <?php
- 	$hidden = get_hidden_meta_boxes('post');
- 	if ( ! in_array('commentsdiv', $hidden) ) { ?>
- 		<script type="text/javascript">jQuery(document).ready(function(){commentsBox.get(<?php echo $total; ?>, 10);});</script>
- <?php
- 	}
  	wp_comment_trashnotice();
  }
  
--- 471,500 ----
  function post_comment_meta_box($post) {
  	global $wpdb, $post_ID;
  
+ 	wp_nonce_field( 'get-comments', 'add_comment_nonce', false );
+ 	?>
+ 	<p class="hide-if-no-js" id="add-new-comment"><a href="#commentstatusdiv" onclick="commentReply.addcomment(<?php echo $post_ID; ?>);return false;"><?php _e('Add comment'); ?></a></p>
+ 	<?php
+ 
  	$total = $wpdb->get_var($wpdb->prepare("SELECT count(1) FROM $wpdb->comments WHERE comment_post_ID = '%d' AND ( comment_approved = '0' OR comment_approved = '1')", $post_ID));
+ 	$wp_list_table = _get_list_table('WP_Post_Comments_List_Table');
+ 	$wp_list_table->display( true );
  
  	if ( 1 > $total ) {
! 		echo '<p id="no-comments">' . __('No comments yet.') . '</p>';
! 	} else {
! 		$hidden = get_hidden_meta_boxes('post');
! 		if ( ! in_array('commentsdiv', $hidden) ) {
! 			?>
! 			<script type="text/javascript">jQuery(document).ready(function(){commentsBox.get(<?php echo $total; ?>, 10);});</script>
! 			<?php
! 		}
  	}
  
! 	?>
! 	<p class="hide-if-no-js hidden" id="show-comments"><a href="#commentstatusdiv" onclick="commentsBox.get(<?php echo $total; ?>);return false;"><?php _e('Show comments'); ?></a> <img class="waiting" style="display:none;" src="<?php echo esc_url( admin_url( 'images/wpspin_light.gif' ) ); ?>" alt="" /></p>
! 	<?php
  
  	wp_comment_trashnotice();
  }
  
***************
*** 627,633 ****
  </div>
  
  <div id="misc-publishing-actions">
! <div class="misc-pub-section misc-pub-section-last">
  	<label for="link_private" class="selectit"><input id="link_private" name="link_visible" type="checkbox" value="N" <?php checked($link->link_visible, 'N'); ?> /> <?php _e('Keep this link private') ?></label>
  </div>
  </div>
--- 620,626 ----
  </div>
  
  <div id="misc-publishing-actions">
! <div class="misc-pub-section">
  	<label for="link_private" class="selectit"><input id="link_private" name="link_visible" type="checkbox" value="N" <?php checked($link->link_visible, 'N'); ?> /> <?php _e('Keep this link private') ?></label>
  </div>
  </div>
***************
*** 639,645 ****
  <div id="delete-action">
  <?php
  if ( !empty($_GET['action']) && 'edit' == $_GET['action'] && current_user_can('manage_links') ) { ?>
! 	<a class="submitdelete deletion" href="<?php echo wp_nonce_url("link.php?action=delete&amp;link_id=$link->link_id", 'delete-bookmark_' . $link->link_id); ?>" onclick="if ( confirm('<?php echo esc_js(sprintf(__("You are about to delete this link '%s'\n  'Cancel' to stop, 'OK' to delete."), $link->link_name )); ?>') ) {return true;}return false;"><?php _e('Delete'); ?></a>
  <?php } ?>
  </div>
  
--- 632,638 ----
  <div id="delete-action">
  <?php
  if ( !empty($_GET['action']) && 'edit' == $_GET['action'] && current_user_can('manage_links') ) { ?>
! 	<a class="submitdelete deletion" href="<?php echo wp_nonce_url("link.php?action=delete&amp;link_id=$link->link_id", 'delete-bookmark_' . $link->link_id); ?>" onclick="if ( confirm('<?php echo esc_js(sprintf(__("You are about to delete this link '%s'\n 'Cancel' to stop, 'OK' to delete."), $link->link_name )); ?>') ) {return true;}return false;"><?php _e('Delete'); ?></a>
  <?php } ?>
  </div>
  
***************
*** 666,703 ****
   *
   * @param object $link
   */
! function link_categories_meta_box($link) { ?>
! <ul id="category-tabs" class="category-tabs">
! 	<li class="tabs"><a href="#categories-all"><?php _e( 'All Categories' ); ?></a></li>
! 	<li class="hide-if-no-js"><a href="#categories-pop"><?php _e( 'Most Used' ); ?></a></li>
! </ul>
! 
! <div id="categories-all" class="tabs-panel">
! 	<ul id="categorychecklist" class="list:category categorychecklist form-no-clear">
! 		<?php
! 		if ( isset($link->link_id) )
! 			wp_link_category_checklist($link->link_id);
! 		else
! 			wp_link_category_checklist();
! 		?>
  	</ul>
- </div>
  
! <div id="categories-pop" class="tabs-panel" style="display: none;">
! 	<ul id="categorychecklist-pop" class="categorychecklist form-no-clear">
! 		<?php wp_popular_terms_checklist('link_category'); ?>
! 	</ul>
! </div>
  
! <div id="category-adder" class="wp-hidden-children">
! 	<h4><a id="category-add-toggle" href="#category-add"><?php _e( '+ Add New Category' ); ?></a></h4>
! 	<p id="link-category-add" class="wp-hidden-child">
! 		<label class="screen-reader-text" for="newcat"><?php _e( '+ Add New Category' ); ?></label>
! 		<input type="text" name="newcat" id="newcat" class="form-required form-input-tip" value="<?php esc_attr_e( 'New category name' ); ?>" aria-required="true" />
! 		<input type="button" id="category-add-submit" class="add:categorychecklist:linkcategorydiv button" value="<?php esc_attr_e( 'Add' ); ?>" />
! 		<?php wp_nonce_field( 'add-link-category', '_ajax_nonce', false ); ?>
! 		<span id="category-ajax-response"></span>
! 	</p>
  </div>
  <?php
  }
--- 658,698 ----
   *
   * @param object $link
   */
! function link_categories_meta_box($link) {
! ?>
! <div id="taxonomy-linkcategory" class="categorydiv">
! 	<ul id="category-tabs" class="category-tabs">
! 		<li class="tabs"><a href="#categories-all"><?php _e( 'All Categories' ); ?></a></li>
! 		<li class="hide-if-no-js"><a href="#categories-pop"><?php _e( 'Most Used' ); ?></a></li>
  	</ul>
  
! 	<div id="categories-all" class="tabs-panel">
! 		<ul id="categorychecklist" class="list:category categorychecklist form-no-clear">
! 			<?php
! 			if ( isset($link->link_id) )
! 				wp_link_category_checklist($link->link_id);
! 			else
! 				wp_link_category_checklist();
! 			?>
! 		</ul>
! 	</div>
! 
! 	<div id="categories-pop" class="tabs-panel" style="display: none;">
! 		<ul id="categorychecklist-pop" class="categorychecklist form-no-clear">
! 			<?php wp_popular_terms_checklist('link_category'); ?>
! 		</ul>
! 	</div>
  
! 	<div id="category-adder" class="wp-hidden-children">
! 		<h4><a id="category-add-toggle" href="#category-add"><?php _e( '+ Add New Category' ); ?></a></h4>
! 		<p id="link-category-add" class="wp-hidden-child">
! 			<label class="screen-reader-text" for="newcat"><?php _e( '+ Add New Category' ); ?></label>
! 			<input type="text" name="newcat" id="newcat" class="form-required form-input-tip" value="<?php esc_attr_e( 'New category name' ); ?>" aria-required="true" />
! 			<input type="button" id="category-add-submit" class="add:categorychecklist:linkcategorydiv button" value="<?php esc_attr_e( 'Add' ); ?>" />
! 			<?php wp_nonce_field( 'add-link-category', '_ajax_nonce', false ); ?>
! 			<span id="category-ajax-response"></span>
! 		</p>
! 	</div>
  </div>
  <?php
  }
***************
*** 767,877 ****
   */
  function link_xfn_meta_box($link) {
  ?>
! <table class="editform" style="width: 100%;" cellspacing="2" cellpadding="5">
  	<tr>
! 		<th style="width: 20%;" scope="row"><label for="link_rel"><?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('rel:') ?></label></th>
! 		<td style="width: 80%;"><input type="text" name="link_rel" id="link_rel" size="50" value="<?php echo ( isset( $link->link_rel ) ? esc_attr($link->link_rel) : ''); ?>" /></td>
  	</tr>
  	<tr>
! 		<td colspan="2">
! 			<table cellpadding="3" cellspacing="5" class="form-table">
! 				<tr>
! 					<th scope="row"> <?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('identity') ?> </th>
! 					<td><fieldset><legend class="screen-reader-text"><span> <?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('identity') ?> </span></legend>
! 						<label for="me">
! 						<input type="checkbox" name="identity" value="me" id="me" <?php xfn_check('identity', 'me'); ?> />
! 						<?php _e('another web address of mine') ?></label>
! 					</fieldset></td>
! 				</tr>
! 				<tr>
! 					<th scope="row"> <?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('friendship') ?> </th>
! 					<td><fieldset><legend class="screen-reader-text"><span> <?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('friendship') ?> </span></legend>
! 						<label for="contact">
! 						<input class="valinp" type="radio" name="friendship" value="contact" id="contact" <?php xfn_check('friendship', 'contact'); ?> /> <?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('contact') ?></label>
! 						<label for="acquaintance">
! 						<input class="valinp" type="radio" name="friendship" value="acquaintance" id="acquaintance" <?php xfn_check('friendship', 'acquaintance'); ?> />  <?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('acquaintance') ?></label>
! 						<label for="friend">
! 						<input class="valinp" type="radio" name="friendship" value="friend" id="friend" <?php xfn_check('friendship', 'friend'); ?> /> <?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('friend') ?></label>
! 						<label for="friendship">
! 						<input name="friendship" type="radio" class="valinp" value="" id="friendship" <?php xfn_check('friendship'); ?> /> <?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('none') ?></label>
! 					</fieldset></td>
! 				</tr>
! 				<tr>
! 					<th scope="row"> <?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('physical') ?> </th>
! 					<td><fieldset><legend class="screen-reader-text"><span> <?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('physical') ?> </span></legend>
! 						<label for="met">
! 						<input class="valinp" type="checkbox" name="physical" value="met" id="met" <?php xfn_check('physical', 'met'); ?> />
! 						<?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('met') ?></label>
! 					</fieldset></td>
! 				</tr>
! 				<tr>
! 					<th scope="row"> <?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('professional') ?> </th>
! 					<td><fieldset><legend class="screen-reader-text"><span> <?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('professional') ?> </span></legend>
! 						<label for="co-worker">
! 						<input class="valinp" type="checkbox" name="professional" value="co-worker" id="co-worker" <?php xfn_check('professional', 'co-worker'); ?> />
! 						<?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('co-worker') ?></label>
! 						<label for="colleague">
! 						<input class="valinp" type="checkbox" name="professional" value="colleague" id="colleague" <?php xfn_check('professional', 'colleague'); ?> />
! 						<?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('colleague') ?></label>
! 					</fieldset></td>
! 				</tr>
! 				<tr>
! 					<th scope="row"> <?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('geographical') ?> </th>
! 					<td><fieldset><legend class="screen-reader-text"><span> <?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('geographical') ?> </span></legend>
! 						<label for="co-resident">
! 						<input class="valinp" type="radio" name="geographical" value="co-resident" id="co-resident" <?php xfn_check('geographical', 'co-resident'); ?> />
! 						<?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('co-resident') ?></label>
! 						<label for="neighbor">
! 						<input class="valinp" type="radio" name="geographical" value="neighbor" id="neighbor" <?php xfn_check('geographical', 'neighbor'); ?> />
! 						<?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('neighbor') ?></label>
! 						<label for="geographical">
! 						<input class="valinp" type="radio" name="geographical" value="" id="geographical" <?php xfn_check('geographical'); ?> />
! 						<?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('none') ?></label>
! 					</fieldset></td>
! 				</tr>
! 				<tr>
! 					<th scope="row"> <?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('family') ?> </th>
! 					<td><fieldset><legend class="screen-reader-text"><span> <?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('family') ?> </span></legend>
! 						<label for="child">
! 						<input class="valinp" type="radio" name="family" value="child" id="child" <?php xfn_check('family', 'child'); ?>  />
! 						<?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('child') ?></label>
! 						<label for="kin">
! 						<input class="valinp" type="radio" name="family" value="kin" id="kin" <?php xfn_check('family', 'kin'); ?>  />
! 						<?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('kin') ?></label>
! 						<label for="parent">
! 						<input class="valinp" type="radio" name="family" value="parent" id="parent" <?php xfn_check('family', 'parent'); ?> />
! 						<?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('parent') ?></label>
! 						<label for="sibling">
! 						<input class="valinp" type="radio" name="family" value="sibling" id="sibling" <?php xfn_check('family', 'sibling'); ?> />
! 						<?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('sibling') ?></label>
! 						<label for="spouse">
! 						<input class="valinp" type="radio" name="family" value="spouse" id="spouse" <?php xfn_check('family', 'spouse'); ?> />
! 						<?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('spouse') ?></label>
! 						<label for="family">
! 						<input class="valinp" type="radio" name="family" value="" id="family" <?php xfn_check('family'); ?> />
! 						<?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('none') ?></label>
! 					</fieldset></td>
! 				</tr>
! 				<tr>
! 					<th scope="row"> <?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('romantic') ?> </th>
! 					<td><fieldset><legend class="screen-reader-text"><span> <?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('romantic') ?> </span></legend>
! 						<label for="muse">
! 						<input class="valinp" type="checkbox" name="romantic" value="muse" id="muse" <?php xfn_check('romantic', 'muse'); ?> />
! 						<?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('muse') ?></label>
! 						<label for="crush">
! 						<input class="valinp" type="checkbox" name="romantic" value="crush" id="crush" <?php xfn_check('romantic', 'crush'); ?> />
! 						<?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('crush') ?></label>
! 						<label for="date">
! 						<input class="valinp" type="checkbox" name="romantic" value="date" id="date" <?php xfn_check('romantic', 'date'); ?> />
! 						<?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('date') ?></label>
! 						<label for="romantic">
! 						<input class="valinp" type="checkbox" name="romantic" value="sweetheart" id="romantic" <?php xfn_check('romantic', 'sweetheart'); ?> />
! 						<?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('sweetheart') ?></label>
! 					</fieldset></td>
! 				</tr>
! 			</table>
! 		</td>
  	</tr>
  </table>
  <p><?php _e('If the link is to a person, you can specify your relationship with them using the above form. If you would like to learn more about the idea check out <a href="http://gmpg.org/xfn/">XFN</a>.'); ?></p>
  <?php
--- 759,868 ----
   */
  function link_xfn_meta_box($link) {
  ?>
! <table class="links-table" cellspacing="0">
  	<tr>
! 		<th scope="row"><label for="link_rel"><?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('rel:') ?></label></th>
! 		<td><input type="text" name="link_rel" id="link_rel" value="<?php echo ( isset( $link->link_rel ) ? esc_attr($link->link_rel) : ''); ?>" /></td>
  	</tr>
  	<tr>
! 		<th scope="row"><?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('identity') ?></th>
! 		<td><fieldset><legend class="screen-reader-text"><span><?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('identity') ?></span></legend>
! 			<label for="me">
! 			<input type="checkbox" name="identity" value="me" id="me" <?php xfn_check('identity', 'me'); ?> />
! 			<?php _e('another web address of mine') ?></label>
! 		</fieldset></td>
! 	</tr>
! 	<tr>
! 		<th scope="row"><?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('friendship') ?></th>
! 		<td><fieldset><legend class="screen-reader-text"><span><?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('friendship') ?></span></legend>
! 			<label for="contact">
! 			<input class="valinp" type="radio" name="friendship" value="contact" id="contact" <?php xfn_check('friendship', 'contact'); ?> />&nbsp;<?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('contact') ?>
! 			</label>
! 			<label for="acquaintance">
! 			<input class="valinp" type="radio" name="friendship" value="acquaintance" id="acquaintance" <?php xfn_check('friendship', 'acquaintance'); ?> />&nbsp;<?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('acquaintance') ?>
! 			</label>
! 			<label for="friend">
! 			<input class="valinp" type="radio" name="friendship" value="friend" id="friend" <?php xfn_check('friendship', 'friend'); ?> />&nbsp;<?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('friend') ?>
! 			</label>
! 			<label for="friendship">
! 			<input name="friendship" type="radio" class="valinp" value="" id="friendship" <?php xfn_check('friendship'); ?> />&nbsp;<?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('none') ?>
! 			</label>
! 		</fieldset></td>
  	</tr>
+ 	<tr>
+ 		<th scope="row"> <?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('physical') ?> </th>
+ 		<td><fieldset><legend class="screen-reader-text"><span><?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('physical') ?></span></legend>
+ 			<label for="met">
+ 			<input class="valinp" type="checkbox" name="physical" value="met" id="met" <?php xfn_check('physical', 'met'); ?> />&nbsp;<?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('met') ?>
+ 			</label>
+ 		</fieldset></td>
+ 	</tr>
+ 	<tr>
+ 		<th scope="row"> <?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('professional') ?> </th>
+ 		<td><fieldset><legend class="screen-reader-text"><span><?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('professional') ?></span></legend>
+ 			<label for="co-worker">
+ 			<input class="valinp" type="checkbox" name="professional" value="co-worker" id="co-worker" <?php xfn_check('professional', 'co-worker'); ?> />&nbsp;<?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('co-worker') ?>
+ 			</label>
+ 			<label for="colleague">
+ 			<input class="valinp" type="checkbox" name="professional" value="colleague" id="colleague" <?php xfn_check('professional', 'colleague'); ?> />&nbsp;<?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('colleague') ?>
+ 			</label>
+ 		</fieldset></td>
+ 	</tr>
+ 	<tr>
+ 		<th scope="row"><?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('geographical') ?></th>
+ 		<td><fieldset><legend class="screen-reader-text"><span> <?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('geographical') ?> </span></legend>
+ 			<label for="co-resident">
+ 			<input class="valinp" type="radio" name="geographical" value="co-resident" id="co-resident" <?php xfn_check('geographical', 'co-resident'); ?> />&nbsp;<?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('co-resident') ?>
+ 			</label>
+ 			<label for="neighbor">
+ 			<input class="valinp" type="radio" name="geographical" value="neighbor" id="neighbor" <?php xfn_check('geographical', 'neighbor'); ?> />&nbsp;<?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('neighbor') ?>
+ 			</label>
+ 			<label for="geographical">
+ 			<input class="valinp" type="radio" name="geographical" value="" id="geographical" <?php xfn_check('geographical'); ?> />&nbsp;<?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('none') ?>
+ 			</label>
+ 		</fieldset></td>
+ 	</tr>
+ 	<tr>
+ 		<th scope="row"><?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('family') ?></th>
+ 		<td><fieldset><legend class="screen-reader-text"><span> <?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('family') ?> </span></legend>
+ 			<label for="child">
+ 			<input class="valinp" type="radio" name="family" value="child" id="child" <?php xfn_check('family', 'child'); ?> />&nbsp;<?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('child') ?>
+ 			</label>
+ 			<label for="kin">
+ 			<input class="valinp" type="radio" name="family" value="kin" id="kin" <?php xfn_check('family', 'kin'); ?> />&nbsp;<?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('kin') ?>
+ 			</label>
+ 			<label for="parent">
+ 			<input class="valinp" type="radio" name="family" value="parent" id="parent" <?php xfn_check('family', 'parent'); ?> />&nbsp;<?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('parent') ?>
+ 			</label>
+ 			<label for="sibling">
+ 			<input class="valinp" type="radio" name="family" value="sibling" id="sibling" <?php xfn_check('family', 'sibling'); ?> />&nbsp;<?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('sibling') ?>
+ 			</label>
+ 			<label for="spouse">
+ 			<input class="valinp" type="radio" name="family" value="spouse" id="spouse" <?php xfn_check('family', 'spouse'); ?> />&nbsp;<?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('spouse') ?>
+ 			</label>
+ 			<label for="family">
+ 			<input class="valinp" type="radio" name="family" value="" id="family" <?php xfn_check('family'); ?> />&nbsp;<?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('none') ?>
+ 			</label>
+ 		</fieldset></td>
+ 	</tr>
+ 	<tr>
+ 		<th scope="row"><?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('romantic') ?></th>
+ 		<td><fieldset><legend class="screen-reader-text"><span> <?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('romantic') ?> </span></legend>
+ 			<label for="muse">
+ 			<input class="valinp" type="checkbox" name="romantic" value="muse" id="muse" <?php xfn_check('romantic', 'muse'); ?> />&nbsp;<?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('muse') ?>
+ 			</label>
+ 			<label for="crush">
+ 			<input class="valinp" type="checkbox" name="romantic" value="crush" id="crush" <?php xfn_check('romantic', 'crush'); ?> />&nbsp;<?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('crush') ?>
+ 			</label>
+ 			<label for="date">
+ 			<input class="valinp" type="checkbox" name="romantic" value="date" id="date" <?php xfn_check('romantic', 'date'); ?> />&nbsp;<?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('date') ?>
+ 			</label>
+ 			<label for="romantic">
+ 			<input class="valinp" type="checkbox" name="romantic" value="sweetheart" id="romantic" <?php xfn_check('romantic', 'sweetheart'); ?> />&nbsp;<?php /* translators: xfn: http://gmpg.org/xfn/ */ _e('sweetheart') ?>
+ 			</label>
+ 		</fieldset></td>
+ 	</tr>
+ 
  </table>
  <p><?php _e('If the link is to a person, you can specify your relationship with them using the above form. If you would like to learn more about the idea check out <a href="http://gmpg.org/xfn/">XFN</a>.'); ?></p>
  <?php
